Resent-Date: Mon, 12 Oct 1998 11:22:24 +0200 (MET DST)
To: linux-m68k@lists.linux-m68k.org
Subject: Linux 2.1.124
X-Yow: Okay, BARBRA STREISAND, I recognize you now!!  Also EFREM ZIMBALIST,
 JUNIOR!!  And BEAUMONT NEWHALL!!  Everybody into th' BATHROOM!
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 12 Oct 1998 11:22:32 +0200
Resent-From: linux-m68k@phil.uni-sb.de

Hi!

Here are a few patches for 2.1.124:

* arch/m68k/config.in: CONFIG_PRINTER -> CONFIG_M68K_PRINTER, remove
  obsolete CONFIG_UMISC.
* arch/m68k/kernel/m68k_ksyms.c, arch/m68k/kernel/signal.c: Remove
  obsolete checksignals.
* init/main.c: Remove obsolete initmem_freed.
* arch/m68k/kernel/ptrace.c: We don't do SMP yet, but this is needed once
  we do.
* drivers/char/tty_io.c: Make serial work again.
* include/linux/vt_kern.h: Don't depend on COMMON symbols.

Andreas.

----------------------------------------------------------------------
--- linux-2.1/arch/m68k/config.in.~1~	Fri Oct  9 17:53:49 1998
+++ linux-2.1/arch/m68k/config.in	Fri Oct  9 18:47:02 1998
@@ -266,7 +266,7 @@
 
 tristate 'Parallel printer support' CONFIG_M68K_PRINTER
 if [ "$CONFIG_ZORRO" = "y" ]; then
-  dep_tristate 'Multiface Card III parallel support' CONFIG_MULTIFACE_III_LP $CONFIG_PRINTER
+  dep_tristate 'Multiface Card III parallel support' CONFIG_MULTIFACE_III_LP $CONFIG_M68K_PRINTER
 fi
 if [ "$CONFIG_AMIGA" = "y" ]; then
   tristate 'Amiga mouse support' CONFIG_AMIGAMOUSE
@@ -333,11 +333,6 @@
 if [ "$CONFIG_WATCHDOG" != "n" ]; then
   bool '   Disable watchdog shutdown on close' CONFIG_WATCHDOG_NOWAYOUT
   bool '   Software Watchdog' CONFIG_SOFT_WATCHDOG
-fi
-if [ "$CONFIG_VME" = "y" ]; then
-  define_bool CONFIG_UMISC y
-else
-  bool 'Support for user misc device modules' CONFIG_UMISC
 fi
 if [ "$CONFIG_ATARI" = "y" ]; then
   bool 'Enhanced Real Time Clock Support' CONFIG_RTC
--- linux-2.1/arch/m68k/kernel/m68k_ksyms.c.~1~	Fri Oct  9 17:53:50 1998
+++ linux-2.1/arch/m68k/kernel/m68k_ksyms.c	Wed Sep  9 20:17:16 1998
@@ -49,7 +49,6 @@
 EXPORT_SYMBOL(local_bh_count);
 EXPORT_SYMBOL(enable_irq);
 EXPORT_SYMBOL(disable_irq);
-EXPORT_SYMBOL(checksignals);
 
 /* Networking helper routines. */
 EXPORT_SYMBOL(csum_partial_copy);
--- linux-2.1/arch/m68k/kernel/ptrace.c.~1~	Fri May  8 18:13:30 1998
+++ linux-2.1/arch/m68k/kernel/ptrace.c	Fri Sep 18 18:13:28 1998
@@ -450,10 +450,10 @@
 			else
 				child->flags &= ~PF_TRACESYS;
 			child->exit_code = data;
-			wake_up_process(child);
 			/* make sure the single step bit is not set. */
 			tmp = get_reg(child, PT_SR) & ~(TRACE_BITS << 16);
 			put_reg(child, PT_SR, tmp);
+			wake_up_process(child);
 			ret = 0;
 			goto out;
 		}
@@ -469,11 +469,11 @@
 			ret = 0;
 			if (child->state == TASK_ZOMBIE) /* already dead */
 				goto out;
-			wake_up_process(child);
 			child->exit_code = SIGKILL;
 	/* make sure the single step bit is not set. */
 			tmp = get_reg(child, PT_SR) & ~(TRACE_BITS << 16);
 			put_reg(child, PT_SR, tmp);
+			wake_up_process(child);
 			goto out;
 		}
 
@@ -487,9 +487,9 @@
 			tmp = get_reg(child, PT_SR) | (TRACE_BITS << 16);
 			put_reg(child, PT_SR, tmp);
 
-			wake_up_process(child);
 			child->exit_code = data;
 	/* give it a chance to run. */
+			wake_up_process(child);
 			ret = 0;
 			goto out;
 		}
@@ -502,7 +502,6 @@
 			if ((unsigned long) data > _NSIG)
 				goto out;
 			child->flags &= ~(PF_PTRACED|PF_TRACESYS);
-			wake_up_process(child);
 			child->exit_code = data;
 			write_lock_irqsave(&tasklist_lock, flags);
 			REMOVE_LINKS(child);
@@ -512,6 +511,7 @@
 			/* make sure the single step bit is not set. */
 			tmp = get_reg(child, PT_SR) & ~(TRACE_BITS << 16);
 			put_reg(child, PT_SR, tmp);
+			wake_up_process(child);
 			ret = 0;
 			goto out;
 		}
--- linux-2.1/arch/m68k/kernel/signal.c.~1~	Wed Sep  9 19:44:28 1998
+++ linux-2.1/arch/m68k/kernel/signal.c	Thu Sep 10 18:26:39 1998
@@ -65,17 +65,6 @@
   -1, /* sizeof(((struct frame *)0)->un.fmtf), */
 };
 
-void checksignals(void)
-{
-	sigset_t *blocked = &current->blocked;
-	unsigned long mask = blocked->sig[0] | sigmask(SIGKILL) | sigmask(SIGINT) | sigmask(SIGQUIT);
-	mask &= blocked->sig[1];
-	if (~mask) {
-		printk("Bad signal mask\n");
-		*(int *) 0 = 0;
-	}
-}
-
 /*
  * Atomically swap in the new signal mask, and wait for a signal.
  */
--- linux-2.1/drivers/char/tty_io.c.~1~	Fri Oct  9 17:56:13 1998
+++ linux-2.1/drivers/char/tty_io.c	Mon Oct  5 19:10:31 1998
@@ -2095,7 +2095,12 @@
 #ifdef CONFIG_ESPSERIAL  /* init ESP before rs, so rs doesn't see the port */
 	espserial_init();
 #endif
-#ifdef CONFIG_SERIAL
+#if defined(CONFIG_SERIAL) || defined(CONFIG_ATARI_MFPSER) || \
+    defined(CONFIG_ATARI_SCC) || defined(CONFIG_ATARI_MIDI) || \
+    defined(CONFIG_AMIGA_BUILTIN_SERIAL) || defined(CONFIG_GVIOEXT) || \
+    defined(CONFIG_MULTIFACE_III_TTY) || defined(CONFIG_USERIAL) || \
+    defined(CONFIG_MVME162_SCC) || defined(CONFIG_BVME6000_SCC) || \
+    defined(CONFIG_MAC_SCC) || defined(CONFIG_HPDCA)
 	rs_init();
 #endif
 #ifdef CONFIG_MAC_SERIAL
--- linux-2.1/include/linux/vt_kern.h.~1~	Fri Oct  9 18:00:06 1998
+++ linux-2.1/include/linux/vt_kern.h	Mon Sep 28 19:16:33 1998
@@ -30,7 +30,7 @@
 	struct wait_queue *paste_wait;
 } *vt_cons[MAX_NR_CONSOLES];
 
-void (*kd_mksound)(unsigned int hz, unsigned int ticks);
+extern void (*kd_mksound)(unsigned int hz, unsigned int ticks);
 
 /* console.c */
 
--- linux-2.1/init/main.c.~1~	Fri Oct  9 18:00:13 1998
+++ linux-2.1/init/main.c	Fri Oct  9 18:59:47 1998
@@ -1290,8 +1290,6 @@
 #endif
 }
 
-int initmem_freed = 0;
-
 static int init(void * unused)
 {
 	lock_kernel();
@@ -1303,7 +1301,6 @@
 	 * initmem segments and start the user-mode stuff..
 	 */
 	free_initmem();
-	initmem_freed = 1;
 	unlock_kernel();
 
 	if (open("/dev/console", O_RDWR, 0) < 0)

